Skip to main content

GenerateOutputFormat

Generates a sample output format for Tag Mining in LightApp.

Debug

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table describes the authorization information for this API. You can use it in the Action element of a RAM policy statement to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Action: the specific permission point.
  • Access level: the access level of each action. Valid values: Write, Read, or List.
  • Resource type: the resource types that support authorization for the action. Details are as follows:
    • For required resource types, an asterisk (*) is added as a prefix.
    • For actions that do not support resource-level authorization, All resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Related action: other permissions required to successfully perform the action. The caller must also have the permissions of the related actions for the operation to succeed.
ActionAccess levelResource typeCondition keyRelated action
quanmiaolightapp:GenerateOutputFormatnone
*All resources
*
    None
None

Request syntax

POST /{workspaceId}/quanmiao/lightapp/generateOutputFormat HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

Unique identifier of the workspace.

llm-xxxxxxx
businessTypestringNo

Business type.

clueMining
taskDescriptionstringNo

Task description.

Here is a text data to be analyzed. Please tag the data according to the tag system.
contentstringNo

Text to be analyzed.

Text to be analyzed
tagsarray<object>Yes

Tag system list.

objectYes

Tag system object.

tagNamestringNo

Tag name.

xxxx
tagDefinePromptstringNo

Tag definition prompt.

xxxx
extraInfostringNo

Extra information.

Extra information

Response parameters

NameTypeDescriptionExample value
object

Schema of Response

codestring

Status code.

successful
dataobject

Example format object.

outputFormatstring

Output format.

Please output directly in the following JSON format, without any other content: { "whetherToBuyHouseRecently": "", "housePurchasePaymentMethod": "", "householdPopulation": "", "numberOfRoomsRequired": "", "housePurchaseInvestmentGoal": "", "customerHousePurchaseType": "", "customerHousePurchaseBudget": "", "customerResidence": "", "userCoreNeeds": [ "" ], "age": "", "gender": "", "occupation":"" }
httpStatusCodeinteger

HTTP status code.

200
messagestring

Error description.

ok
requestIdstring

Id of the request

117F5ABE-CF02-5502-9A3F-E56BC9081A64
successboolean

Is successful: true for success, false for failure.

True

Examples

Success response example JSON format
{
  "code": "successful",
  "data": {
    "outputFormat": "请直接以如下JSON格式输出,不要输出其他内容:\n{\n    \"是否近期买房\": \"\",\n    \"购房付款方式\": \"\",\n    \"家庭人口数量\": \"\",\n    \"房间数量需求\": \"\",\n    \"买房投资诉求\": \"\",\n    \"客户买房类型\": \"\",\n    \"客户买房预算\": \"\",\n    \"客户居住地\": \"\",\n    \"用户核心需求\": [\n        \"\"\n    ],\n    \"年龄\": \"\",\n    \"性别\": \"\",\n    \"职业\":\"\"\n}\n"
  },
  "httpStatusCode": 200,
  "message": "ok",
  "requestId": "117F5ABE-CF02-5502-9A3F-E56BC9081A64",
  "success": true
}

Error codes

HTTP status codeError codeError messageDescription
403NoPermissionYou are not authorized to perform this action , Please check the assignment of the workspaceId.Check the assignment of the workspaceId.
Visit the Error Center to view more error codes.